import './assets/iconfont/iconfont.css'
import './assets/base.css'
import './assets/index.scss'
import 'vant/es/toast/style'
import 'vant/es/dialog/style'
import '@vant/touch-emulator'

import { createApp } from 'vue'
import pinia from './stores/index'
import wx from 'weixin-js-sdk'
import { wxMpJsapiGetJsapiTicket } from '@/utils/api'
import VueWechatTitle from 'vue-wechat-title'
wxMpJsapiGetJsapiTicket({ url: window.location.href }).then(({ data }) => {
  console.log(data)
  wx.config({
    appId: 'wx1d52f91f259a691f',
    timestamp: data.timestamp,
    nonceStr: data.nonceStr,
    signature: data.signature,
    jsApiList: ['updateAppMessageShareData']
  })
})
import App from './App.vue'
import router from './router'
const app = createApp(App)
app.use(VueWechatTitle)
app.use(router)
app.use(pinia)

//Vue3挂载全局API
app.mount('#app')
